com.datecs.barcode

## Class Intermec

- java.lang.Object
- - com.datecs.barcode.Intermec

-     public abstract class Intermec
      extends java.lang.Object

  Intermec barcode engine.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Intermec.ProgressListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Intermec()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableAustralianPost(boolean enable)` Enable or disable Australian Post.
    `void` | `enableAztec(boolean enable)` Enable or disable Aztec.
    `void` | `enableCodabarl(boolean enable)` Enable or disable Codabar.
    `void` | `enableCodablockA(boolean enable)` Enable or disable CodablockA.
    `void` | `enableCodablockF(boolean enable)` Enable or disable CodablockF.
    `void` | `enableCode11(boolean enable)` Enable or disable Code 11.
    `void` | `enableCode128(boolean enable)` Enable or disable Code 128.
    `void` | `enableCode39(boolean enable)` Enable or disable Code 39.
    `void` | `enableCode93(boolean enable)` Enable or disable Code 93.
    `void` | `enableDataMatrix(boolean enable)` Enable or disable DataMatrix.
    `void` | `enableDutchPost(boolean enable)` Enable or disable Dutch Post.
    `void` | `enableEAN13(boolean enable)` Enable or disable EAN-13.
    `void` | `enableEAN8(boolean enable)` Enable or disable EAN-8.
    `void` | `enableGlareDetection(boolean on)` Turn glare detection on and off.
    `void` | `enableGS1(boolean enable)` Enable or disable GS1-128.
    `void` | `enableGS1CompositeAorB(boolean enable)` Enable or disable GS1 Composite A/B.
    `void` | `enableGS1CompositeC(boolean enable)` Enable or disable GS1 Composite C..
    `void` | `enableGS1DatabarExpanded(boolean enable)` Enable or disable GS1 DataBar Expanded.
    `void` | `enableGS1DatabarLimited(boolean enable)` Enable or disable GS1 DataBar Limited.
    `void` | `enableInfomail(boolean enable)` Enable or disable British Royal Mail Infomail symbology.
    `void` | `enableInterleaved2of5(boolean enable)` Enable or disable Interleaved 2 of 5.
    `void` | `enableISBT(boolean enable)` Enable or disable ISBT.
    `void` | `enableJapanPost(boolean enable)` Enable or disable Japan Post.
    `void` | `enableMatrix2of5(boolean enable)` Enable or disable Matrix 2 of 5.
    `void` | `enableMaxicode(boolean enable)` Enable or disable Maxicode.
    `void` | `enableMicroPDF417(boolean enable)` Enable or disable Micro PDF417.
    `void` | `enableMSICode(boolean enable)` Enable or disable MSI Code.
    `void` | `enableMulticode(boolean enable)` Enable or disable Multicode.
    `void` | `enablePDF417(boolean enable)` Enable or disable PDF417.
    `void` | `enablePlanet(boolean enable)` Enable or disable Planet.
    `void` | `enablePlesseyCode(boolean enable)` Enable or disable Plessey Code.
    `void` | `enablePostnet(boolean enable)` Enable or disable Postnet.
    `void` | `enableQRCode(boolean enable)` Enable or disable QR Code.
    `void` | `enableRSS14(boolean enable)` Enable or disable RSS 14.
    `void` | `enableStandard2of5(boolean enable)` Enable or disable Standard 2 of 5.
    `void` | `enableSymbology(int gid, int fid, boolean enable)` Enable barcode symbology.
    `void` | `enableTelepen(boolean enable)` Enable or disable Telepen.
    `void` | `enableTLC39(boolean enable)` Enable or disable TLC 39.
    `void` | `enableUPCA(boolean enable)` Enable or disable UPC-A.
    `void` | `enableUPCE(boolean enable)` Enable or disable UPC-E.
    `java.lang.String` | `getIdent()`
    `protected abstract void` | `init(byte[] data)`
    `byte[]` | `query(byte[] command)`
    `protected abstract byte[]` | `read()`
    `void` | `saveSymbology()` Store barcode settings in barcode flash memory.
    `void` | `sendCommand(byte[] data)` Send command to barcode engine.
    `void` | `setIlluminationLevel(int level)` Set illumination level
    `void` | `setPredefinedImagerSettings(int mode)` Set pre-defined imager settings.
    `void` | `updateFirmware(byte[] firmware, Intermec.ProgressListener listener)`
    `protected abstract void` | `updateMode(byte[] data)`
    `protected abstract void` | `write(byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Intermec

          public Intermec()

  - ### Method Detail

    - #### init

          protected abstract void init(byte[] data)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          protected abstract void write(byte[] data)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          protected abstract byte[] read()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### updateMode

          protected abstract void updateMode(byte[] data)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sendCommand

          public void sendCommand(byte[] data)
                           throws java.io.IOException

      Send command to barcode engine.
      Parameters:
        `data` - the command data.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### setPredefinedImagerSettings

          public void setPredefinedImagerSettings(int mode)
                                           throws java.io.IOException

      Set pre-defined imager settings.
      Parameters:
        `mode` - available predefined modes:

        (0) | 1D codes only
        (1) | Standard 1D and 2D bar codes in a normal environment
        (2) | 1D and 2D bar codes in high ambient light, such as outdoors in the sunshine
        (3) | 1D and 2D codes with reflective surface

      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableGlareDetection

          public void enableGlareDetection(boolean on)
                                    throws java.io.IOException

      Turn glare detection on and off.
      Parameters:
        `on` - glare detection state.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### setIlluminationLevel

          public void setIlluminationLevel(int level)
                                    throws java.io.IOException

      Set illumination level

      Do not go over 40%

      Parameters:
        `level` - illumination level in percents.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableSymbology

          public void enableSymbology(int gid,
                                      int fid,
                                      boolean enable)
                               throws java.io.IOException

      Enable barcode symbology.
      Parameters:
        `gid` - group id
        `fid` - function id
        `enable` - true to enable the symbology
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableAustralianPost

          public void enableAustralianPost(boolean enable)
                                    throws java.io.IOException

      Enable or disable Australian Post.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableAztec

          public void enableAztec(boolean enable)
                           throws java.io.IOException

      Enable or disable Aztec.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableInfomail

          public void enableInfomail(boolean enable)
                              throws java.io.IOException

      Enable or disable British Royal Mail Infomail symbology.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableCodabarl

          public void enableCodabarl(boolean enable)
                              throws java.io.IOException

      Enable or disable Codabar.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableCodablockA

          public void enableCodablockA(boolean enable)
                                throws java.io.IOException

      Enable or disable CodablockA.

      Codablock A is based on Code 39. To avoid confusion we recommend that you disable Code 39 when enabling Codablock A.

      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableCodablockF

          public void enableCodablockF(boolean enable)
                                throws java.io.IOException

      Enable or disable CodablockF.

      Codablock F is based on Code 128. To avoid confusion we recommend that you disable Code 128 when enabling Codablock F.

      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableCode11

          public void enableCode11(boolean enable)
                            throws java.io.IOException

      Enable or disable Code 11.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableCode39

          public void enableCode39(boolean enable)
                            throws java.io.IOException

      Enable or disable Code 39.

      The Code 39 character set consists of 43 characters except when full ASCII conversion is enabled.

      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableCode93

          public void enableCode93(boolean enable)
                            throws java.io.IOException

      Enable or disable Code 93.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableCode128

          public void enableCode128(boolean enable)
                             throws java.io.IOException

      Enable or disable Code 128.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableGS1

          public void enableGS1(boolean enable)
                         throws java.io.IOException

      Enable or disable GS1-128.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableISBT

          public void enableISBT(boolean enable)
                          throws java.io.IOException

      Enable or disable ISBT.

      Intermec recommends disabling Code 128 and GS1-128 when activating ISBT 128. This avoids confusing between the different bar codes.

      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableDataMatrix

          public void enableDataMatrix(boolean enable)
                                throws java.io.IOException

      Enable or disable DataMatrix.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableDutchPost

          public void enableDutchPost(boolean enable)
                               throws java.io.IOException

      Enable or disable Dutch Post.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableUPCA

          public void enableUPCA(boolean enable)
                          throws java.io.IOException

      Enable or disable UPC-A.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableUPCE

          public void enableUPCE(boolean enable)
                          throws java.io.IOException

      Enable or disable UPC-E.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableEAN13

          public void enableEAN13(boolean enable)
                           throws java.io.IOException

      Enable or disable EAN-13.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableEAN8

          public void enableEAN8(boolean enable)
                          throws java.io.IOException

      Enable or disable EAN-8.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableGS1CompositeAorB

          public void enableGS1CompositeAorB(boolean enable)
                                      throws java.io.IOException

      Enable or disable GS1 Composite A/B.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableGS1CompositeC

          public void enableGS1CompositeC(boolean enable)
                                   throws java.io.IOException

      Enable or disable GS1 Composite C..
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableRSS14

          public void enableRSS14(boolean enable)
                           throws java.io.IOException

      Enable or disable RSS 14.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableGS1DatabarLimited

          public void enableGS1DatabarLimited(boolean enable)
                                       throws java.io.IOException

      Enable or disable GS1 DataBar Limited.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableGS1DatabarExpanded

          public void enableGS1DatabarExpanded(boolean enable)
                                        throws java.io.IOException

      Enable or disable GS1 DataBar Expanded.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableInterleaved2of5

          public void enableInterleaved2of5(boolean enable)
                                     throws java.io.IOException

      Enable or disable Interleaved 2 of 5.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableJapanPost

          public void enableJapanPost(boolean enable)
                               throws java.io.IOException

      Enable or disable Japan Post.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableMatrix2of5

          public void enableMatrix2of5(boolean enable)
                                throws java.io.IOException

      Enable or disable Matrix 2 of 5.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableMaxicode

          public void enableMaxicode(boolean enable)
                              throws java.io.IOException

      Enable or disable Maxicode.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableMSICode

          public void enableMSICode(boolean enable)
                             throws java.io.IOException

      Enable or disable MSI Code.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableMulticode

          public void enableMulticode(boolean enable)
                               throws java.io.IOException

      Enable or disable Multicode.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enablePDF417

          public void enablePDF417(boolean enable)
                            throws java.io.IOException

      Enable or disable PDF417.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableMicroPDF417

          public void enableMicroPDF417(boolean enable)
                                 throws java.io.IOException

      Enable or disable Micro PDF417.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enablePlanet

          public void enablePlanet(boolean enable)
                            throws java.io.IOException

      Enable or disable Planet.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enablePlesseyCode

          public void enablePlesseyCode(boolean enable)
                                 throws java.io.IOException

      Enable or disable Plessey Code.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enablePostnet

          public void enablePostnet(boolean enable)
                             throws java.io.IOException

      Enable or disable Postnet.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableQRCode

          public void enableQRCode(boolean enable)
                            throws java.io.IOException

      Enable or disable QR Code.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableStandard2of5

          public void enableStandard2of5(boolean enable)
                                  throws java.io.IOException

      Enable or disable Standard 2 of 5.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableTelepen

          public void enableTelepen(boolean enable)
                             throws java.io.IOException

      Enable or disable Telepen.
      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### enableTLC39

          public void enableTLC39(boolean enable)
                           throws java.io.IOException

      Enable or disable TLC 39.

      Intermec recommends deactivating Code 39 when using TLC 39.

      Parameters:
        `enable` - true to enable.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### saveSymbology

          public void saveSymbology()
                             throws java.io.IOException

      Store barcode settings in barcode flash memory.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### query

          public byte[] query(byte[] command)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### updateFirmware

          public void updateFirmware(byte[] firmware,
                                     Intermec.ProgressListener listener)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getIdent

          public java.lang.String getIdent()
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`